package com.zcxk.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * (Message)实体类
 *
 * @author makejava
 * @since 2020-11-16 14:31:15
 */
@Data
@ApiModel
public class Message implements Serializable {
    private static final long serialVersionUID = 218863842329351978L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 消息业务id
     */
    @ApiModelProperty(value = "消息业务id")
    private String messageId;
    /**
     * 消息类型
     */
    @ApiModelProperty(value = "消息类型")
    private Integer messageType;
    /**
     * 消息内容，如果需要动态使用，配合模板使用{key:value}形式
     */
    @ApiModelProperty(value = "消息内容，如果需要动态使用，配合模板使用{key:value}形式")
    private String messageContent;
    /**
     * 模板id
     */
    @ApiModelProperty(value = "模板id")
    private Integer messageTemplateId;
    /**
     * 跳转相对路径
     */
    @ApiModelProperty(value = "跳转相对路径")
    private String url;
    /**
     * 消息状态
     */
    @ApiModelProperty(value = "消息状态")
    private Integer messageStatus;
    /**
     * 用户标识
     */
    @ApiModelProperty(value = "用户标识")
    private Integer userId;
    /**
     * 渠道
     */
    @ApiModelProperty(value = "渠道")
    private Integer channel;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date dateCreate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 保留字段
     */
    @ApiModelProperty(value = "保留字段")
    private Integer uniqueFlag;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "消息类型")
    private String typeName;
    @ApiModelProperty(value = "类型名简称")
    private String shortName;
    @ApiModelProperty(value = "消息跳转绝对路径")
    private String path;
    @ApiModelProperty(value = "消息类型id")
    private Integer typeId;
    private Integer appId;
}