package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationResultDetailsVo
 * @Description: 考核结果出参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评结果详情vo")
public class EvaluationResultDetailsVo {

    @ApiModelProperty(value = "考评结果详情ID")
    private Integer resultDetailsId;

    @ApiModelProperty(value = "考评项名字")
    private String itemName;

    @ApiModelProperty(value = "考评项总分值")
    private BigDecimal itemScore;

    @ApiModelProperty(value = "考评得分")
    private BigDecimal score;

    @ApiModelProperty(value = "评分标准")
    private String remarks;


}
