package com.zcxk.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 工作流绩效考评
 *
 * @author lihui
 * @version V1.0
 * @date 2021/5/19
 **/
@Data
@ApiModel(value = "工作流绩效考评")
public class WorkOrderEvaluationDto {

    @ApiModelProperty(value = "用户Id")
    private Integer userId;

    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "页数")
    private Integer pageNum;

    @ApiModelProperty(value = "条数")
    private  Integer pageSize;

}
