package com.zcxk.dao;

import com.zcxk.dto.ComdisplayInfoDto;
import com.zcxk.entity.ComdisplayMapLocationEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 *
 * sms_comdisplay_map_locationDAO接口
 * @author: WYY
 * @date 2021-02-24 09:58
 */
@Mapper
public interface ComdisplayMapLocationMapper extends BaseMapper<ComdisplayMapLocationEntity> {


     ComdisplayMapLocationEntity findComdisplayMapLocationById(Serializable id);


     List<ComdisplayMapLocationEntity> findList(ComdisplayMapLocationEntity comdisplayMapLocationEntity);

     List<ComdisplayInfoDto> selectMapDataForCompany(@Param(value = "tenantId") String tenantId);

    List<ComdisplayInfoDto> selectMapDataForSingleCompany(@Param(value = "tenantId")String tenantId, @Param(value = "companyOrgId")Integer companyOrgId);

    /**删除相关方法  使用mybatis-plus集成的 **/
}
