package com.zcxk.dao;

import com.zcxk.entity.SceneTypeEntity;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_scene_typeDAO接口
 * @author: WYY
 * @date 2020-11-17 19:31
 */
@Mapper
public interface SceneTypeMapper extends BaseMapper<SceneTypeEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  sceneTypeEntity 实体类
     */
     Page<SceneTypeEntity> findPage(IPage<SceneTypeEntity> page, @Param("sceneType") SceneTypeEntity sceneTypeEntity);

     SceneTypeEntity findSceneTypeById(Serializable id);

     List<SceneTypeEntity> findList(SceneTypeEntity sceneTypeEntity);

     List<SceneTypeEntity> findByParentSceneTypeIds(@Param(value = "Ids") Long[] Ids);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
