package com.zcxk.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "管网水质分析")
public class WaterPieDto {
    @ApiModelProperty(value = "水质")
    private WaterPieStateDto waterQuality;
    @ApiModelProperty(value = "PH")
    private WaterPieStateDto ph;
    @ApiModelProperty(value = "浊度")
    private WaterPieStateDto turbidity;
    @ApiModelProperty(value = "余氯")
    private WaterPieStateDto residualChlorine;
}
