package com.zcxk.dto.generalView;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.util.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description
 * @auto wangli
 * @data 2021/1/6 8:02
 */
@Data
@Api("场景水量")
public class SceneWaterAmount implements Serializable {

    private static final long serialVersionUID = -2700244574380490976L;
    @ApiModelProperty("场景名称")
    private String sceneName;
    @ApiModelProperty("水量")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal waterAmount = BigDecimal.ZERO;
}
