package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * sms_comdisplay_map
 * @author: wyy
 * @date 2021-02-24 09:23
 */
@Data
@TableName("sms_comdisplay_map")
public class ComdisplayMapEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 租户标识 */
    @ApiModelProperty(value = "租户标识")
    @JsonIgnore
    private String tenantId;

    /** 图片路径 */
    @ApiModelProperty(value = "图片路径")
    private String imagePath;

    /** 数据删除标记 */
    @ApiModelProperty(value = "删除标记")
    @TableLogic
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    @JsonIgnore
    private String createBy;

    @JsonIgnore
    private Date dateUpdate;

    @ApiModelProperty(value = "更新人")
    @JsonIgnore
    private String updateBy;

}
