package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户(User)实体类
 *
 * @author makejava
 * @since 2020-10-21 15:23:51
 */
@Data
@ApiModel
public class User implements Serializable {
    private static final long serialVersionUID = -96351358750261173L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;
    /**
     * 公司
     */
    @ApiModelProperty(value = "公司")
    private Integer companyOrgId;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Integer deptOrgId;
    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private String photo;
    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private String userType;
    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态")
    private String enableState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱")
    private String email;
    /**
     * 数据删除标记
     */
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "")
    private Date dateUpdate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    private String logo;
    private String webUrl;
    private Integer departmentOrgState;
    private Integer companyOrgState;
    private String token;
    private Integer roleState;
    private Integer tenantState;
    private String iotPhoneNumber;
    private String customerId;

    @ApiModelProperty(value = "登录第三方账号")
    private String loginAccount;

    @ApiModelProperty(value = "登录第三方密钥")
    private String loginSecretKey;

    @ApiModelProperty(value = "登录第三方厂家编码")
    private String loginCode;

    @ApiModelProperty(value = "登录第三方机构编码")
    private String loginOrgCode;

}