package com.zcxk.charge.api.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author  andy
 */
@Api("报警信息入参")
@Data
public class AlarmDetailsQueryDto implements Serializable {

    @ApiModelProperty("一级场景id")
    private Long id;

    @ApiModelProperty("所属场景")
    private List<Long> sceneIds;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}
