package com.zcxk.charge.web.service;


import com.zcxk.charge.api.vo.ReprotWaterPumpVo;

import java.util.List;

/**
 * @ClassName ReportWaterPumpStateService
 * @Description: 水泵状态业务处理
 * @Author lihui
 * @Date 2021/4/21
 * @Version V1.0
 **/
public interface ReportWaterPumpStateService {

    /**
    * 查询场景下设备的泵站状态数据
    * @author Andy
    * @date 18:14 2021/8/17
    * @param sceneId:
    * @param sceneIds:
    * @param days:
    * @return java.util.List<com.zcxk.charge.api.vo.ReprotWaterPumpVo>
    **/
    List<ReprotWaterPumpVo> findReportWaterPumpStateList(Long sceneId, List<Long> sceneIds, Integer days);
}
