package com.zcxk.core.mysql.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Andy
 * @date 2021-07-22 11:03
 */
@Data
public class BaseDO {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 租户
     */
    private String tenantId;

    /**
     * 创建时间
     **/
    private LocalDateTime createDate;

    /**
     * 创建人名称
     **/
    private String createBy;

    /**
     * 创建人Id
     **/
    private String createId;

    /**
     * 修改人Id
     **/
    private String modifierId;

    /**
     * 修改时间
     **/
    private LocalDateTime updateDate;

    /**
     * 修改人名称
     **/
    private String updateBy;

    /**
     * 状态
     */
    @ApiModelProperty(value="状态")
    private Integer status;

}
