package com.zcxk.rmcp.api.dto.measurementsettlement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 *
 * @author heyumin
 * @date 2021-07-30 9:44
 */
@ApiModel(value="结算计划详情")
@Data
public class MeasurementRecordDto {
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 水表电子号
     */
    @ApiModelProperty(value = "水表电子号")
    private String meterNo;
    /**
     * 水表档案号
     */
    @ApiModelProperty(value = "水表档案号")
    private String fileMeterNo;
    /**
     * 审核状态 0：未审核，1已审核
     */
    @ApiModelProperty(value = "审核状态 0：未审核，1已审核")
    private String approvalStatus;
    /**
     * 上期读数
     */
    @ApiModelProperty(value = "上期读数")
    private String lastReading;
    /**
     * 本期读数
     */
    @ApiModelProperty(value = "本期读数")
    private String currentReading;
    /**
     * 位置
     */
    @ApiModelProperty(value = "位置")
    private String location;
    /**
     * 计划id
     */
    @ApiModelProperty(value = "计划id")
    private Integer planId;
    /**
     * 用水量
     */
    @ApiModelProperty(value = "用水量")
    private Double waterConsumption;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer status;
}
