package com.zcxk.rmcp.api.dto.meterreplace;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Andy
 * @version V1.0
 **/
@Data
public class WaterMeterReplaceInputDto {

    @ApiModelProperty(value = "设备id", position = 1)
    private Long deviceId;

    @ApiModelProperty(value = "新表设备编号", position = 2)
    private String newDeviceNo;

    @ApiModelProperty(value = "新表电子号", position = 3)
    private String newMeterNo;

    @ApiModelProperty(value = "新表设备类型id", position = 4)
    private Integer newDeviceTypeId;

    @ApiModelProperty(value = "新表起度", position = 5)
    private String newBeginDegree;

    @ApiModelProperty(value = "旧表止度", position = 6)
    private String oldEndDegree;

    @ApiModelProperty(value = "更换方案，1 更换模块，2:更换整表", position = 7)
    private Integer replaceMethod;

    @ApiModelProperty(value = "图片", position = 8)
    private String imageUrl;

    @ApiModelProperty(value="集中器id", position = 9)
    private Integer concentratorId;

    @ApiModelProperty(value="采集器id", position = 10)
    private Integer collectorId;

    @ApiModelProperty(value="通道号id", position = 11)
    private Integer channelNumberId;

    @ApiModelProperty(value="测量点号", position = 12)
    private String port;

    @ApiModelProperty(value="铅封号", position = 13)
    private String sealNo;


}
