package com.zcxk.rmcp.api.dto.readmeter;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author linqingwei
 * @date 2021-08-05 10:58
 */
@Data
public class MeterData {

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="读数")
    private Double readData = 0D;

    @ApiModelProperty(value="阀门状态 0:关,1:开,2:无阀")
    private Integer valveStatus;

    @ApiModelProperty(value="日期")
    private Date receiveDate;
}
