package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 用水量
 * @date 2021/7/28
 **/
@Data
public class MeterReadWaterRecordVo {

    @ApiModelProperty(value="用水量")
    private BigDecimal waterConsumption;

    @ApiModelProperty(value="小区ID")
    private int communityId;

    @ApiModelProperty(value="日期")
    private int statDay;
}
