package com.zcxk.rmcp.core.dao;

import com.zcxk.rmcp.api.vo.MeasuringPointVo;
import com.zcxk.rmcp.core.entity.ProductMeasuringPoint;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 **/
@Mapper
public interface ProductMeasuringPointMapper {

    /**
    * 添加数据
    * @author Andy
    * @date 15:00 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(ProductMeasuringPoint record);

    /**
    * 更新数据
    * @author Andy
    * @date 15:00 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(ProductMeasuringPoint record);

    /**
    * 查询数据
    * @author Andy
    * @date 15:00 2021/8/3
    * @param productId:
    * @return java.util.List<com.zcxk.rmcp.api.vo.MeasuringPointVo>
    **/
    List<MeasuringPointVo> getList(@Param("productId") Integer productId);

}