package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * @author linqingwei
 * @date 2021-07-19 9:45
 */
@ApiModel(value="小区")
@Data
public class Community extends BaseDO {


    /**
     * 公司
     */
    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    /**
     * 部门
     */
    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    /**
     * 小区名称
     */
    @ApiModelProperty(value="小区名称")
    private String name;


    @ApiModelProperty(value="code")
    private String code;

    /**
     * 省
     */
    @ApiModelProperty(value="省")
    private Integer province;

    /**
     * 市
     */
    @ApiModelProperty(value="市")
    private Integer city;

    /**
     * 区
     */
    @ApiModelProperty(value="区")
    private Integer region;

    /**
     * 地址
     */
    @ApiModelProperty(value="地址")
    private String address;

    /**
     * 经度
     */
    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    /**
     * 维度
     */
    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remark;

}