package com.bz.rmcp.dap;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author linqingwei
 * @date 2021-08-03 17:51
 */

@Slf4j
@EnableCaching  //开启缓存
@SpringBootApplication
@ComponentScan(basePackages = {"com.zcxk","com.bz"})
@MapperScan("com.zcxk.rmcp.core.dao")
public class RmcpDapApplication {
    public static void main(String[] args) {
        SpringApplication.run(RmcpDapApplication.class, args);
    }
}
