package com.zcxk.rmcp.web.logAdvice;



import com.zcxk.core.common.pojo.AjaxMessage;
import com.zcxk.rmcp.web.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @description 服务调用
 * @auto wangli
 * @data 2020-11-16 15:46
 */
@FeignClient(value = "user-center",configuration={FeignConfig.class})
public interface UserCenterClient {

    /**
     * 日志保存（仅设备增删改）
     * @param operateLogEntity
     * @return
     */
    @PostMapping("/operateLog/insert")
    void insert(OperateLogEntity operateLogEntity);
}
