package com.zcxk.rmcp.web.service;

import com.zcxk.core.utils.export.ToolUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.util.UUID;

/**
 * @author linqingwei
 * @date 2021-07-22 16:19
 */
@Component
public class CommonService {
    @Value("${files.path}")
    private String filesPath;

    public String getExcelFilePath(String filename) {
        return filesPath + "/excel/"+ ToolUtil.encodingExcelFilename(filename);
    }

    private String getPath() {
        return "/" + LocalDate.now().toString().replace("-", "/") + "/";
    }
}
