package com.zcxk.evaluation.dao;

import com.zcxk.evaluation.entity.EvaluationGradeEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sc_evaluation_gradeDAO接口
 * @author: WYY
 * @date 2021-05-08 09:23
 */
@Mapper
public interface EvaluationGradeMapper extends BaseMapper<EvaluationGradeEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  evaluationGradeEntity 实体类
     */
     Page<EvaluationGradeEntity> findPage(IPage<EvaluationGradeEntity> page,
                                       @Param("evaluationGrade") EvaluationGradeEntity evaluationGradeEntity);

     EvaluationGradeEntity findEvaluationGradeById(Serializable id);


     List<EvaluationGradeEntity> findList(EvaluationGradeEntity evaluationGradeEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
