package com.zcxk.evaluation.dto;

import com.zcxk.model.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName EvaluationResultDto
 * @Description: 考评结果入参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评结果")
public class EvaluationResultQueryDto extends EvaluationResultDto{

    @ApiModelProperty(value = "租户")
    private String tenantId;

    @ApiModelProperty(value ="权限",hidden = true)
    private List<ProgramItem> programItems;

    @ApiModelProperty(value = "用户类型(0 超管 1 普通用户)")
    private String userType;

    @ApiModelProperty(value="用户权限类型")
    private Integer permissonType;



}
