package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationItemValueVo
 * @Description: 考评项分值
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评项分值")
public class EvaluationItemValueVo {

    @ApiModelProperty(value = "类型(0大于等于 1小于 2介于)")
    private Integer itemType;

    @ApiModelProperty(value = "得分")
    private BigDecimal itemValue;

    @ApiModelProperty(value = "分值区间1")
    private BigDecimal valueOne;

    @ApiModelProperty(value = "分值区间2")
    private BigDecimal valueTwo;

}
