package com.zcxk.order.service.impl;

import com.zcxk.order.dao.WorkFlowDetailMapper;
import com.zcxk.order.entity.WorkFlowDetail;
import com.zcxk.order.service.WorkFlowDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 *
 * @author yjy
 * @Description
 * @date 2021-1-11
 */

@Service
public class WorkFlowDetailServiceImpl implements WorkFlowDetailService {

    @Autowired
    WorkFlowDetailMapper workFlowDetailMapper;
    /**
     * 新增数据
     *
     * @param workFlowDetail 实例对象
     * @return 实例对象
     */
    @Override
    public int insertSelective(WorkFlowDetail workFlowDetail) {
        return workFlowDetailMapper.insertSelective(workFlowDetail);
    }
    /**
     * 修改数据
     *
     * @param workFlowDetail 实例对象
     * @return 实例对象
     */
    @Override
    public int updateByPrimaryKeySelective(WorkFlowDetail workFlowDetail) {
        return workFlowDetailMapper.updateByPrimaryKeySelective(workFlowDetail);
    }
    /**
     * 根据流程查询详情的id
     *
     * @param workFlowDetail 实例对象
     * @return 实例对象
     */
    @Override
    public Integer selectDetailId(WorkFlowDetail workFlowDetail) {
        return workFlowDetailMapper.selectDetailId(workFlowDetail);
    }
}
