package com.zcxk.process.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value = "流程节点指派人员")
@Data
public class WorkflowAssignUser {

    @ApiModelProperty(value = "")
    private Integer id;

    @ApiModelProperty(value = "流程定义")
    private String processDefId;

    @ApiModelProperty(value = "任务定义")
    private String taskRefId;

    @ApiModelProperty(value = "版本")
    private Integer version;

    @ApiModelProperty(value = "指派用户")
    private String assignUser;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "")
    private String createBy = "system";
    ;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", hidden = true)
    private LocalDateTime dateCreate = LocalDateTime.now();

    @ApiModelProperty(value = "")
    private String updateBy = "system";

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", hidden = true)
    private LocalDateTime dateUpdate = LocalDateTime.now();
}