package com.zcxk.dao;

import com.zcxk.entity.ThingSettingEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_thing_settingDAO接口
 * @author: WYY
 * @date 2020-12-28 15:18
 */
@Mapper
public interface ThingSettingMapper extends BaseMapper<ThingSettingEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  thingSettingEntity 实体类
     */
     Page<ThingSettingEntity> findPage(IPage<ThingSettingEntity> page,
                                       @Param("thingSetting") ThingSettingEntity thingSettingEntity);

     ThingSettingEntity findThingSettingById(Serializable id);


     List<ThingSettingEntity> findList( @Param("thingSetting")ThingSettingEntity thingSettingEntity);

    List<ThingSettingEntity> findTotalList( @Param("thingSetting")ThingSettingEntity thingSettingEntity);

    /**删除相关方法  使用mybatis-plus集成的 **/
}
