package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "供水量统计")
public class AmountDayThirtyDto {
    @ApiModelProperty(value = "统计日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date amountTime;
    @ApiModelProperty(value = "供水量")
    private Double amount;
}
