package com.zcxk.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName ReportPageQueryDto
 * @Description: TODO
 * @Author lihui
 * @Date 2021/4/15
 * @Version V1.0
 **/
@Data
@ApiModel("报表查询参数")
public class ReportPageQueryDto {

    @ApiModelProperty("年")
    private Integer year;

    @ApiModelProperty(value = "月")
    private Integer month;

    @ApiModelProperty(value = "天")
    private Integer day;

    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value = "设备IDS")
    private List<DeviceDto> deviceIds;

    @ApiModelProperty(value = "报表类型")
    private Integer type;

    @ApiModelProperty(value = "报表类型")
    private List<Integer> typeIds;

    @ApiModelProperty(value = "一级场景IDS")
    private Long[] parentSceneIds;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "场景ID")
    private Long sceneId;
}
