package com.zcxk.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "场景信息标签")
public class SceneDataDto {
    /** 标签名称 */
    @ApiModelProperty(value = "标签名称(名称或场景ID)")
    private String monitorName;
    /** 标签值 */
    @ApiModelProperty(value = "标签值(注:标签的实时数据不用保存)")
    @TableField(exist = false)
    private String monitorValue;

    /** 是否报警 */
    @ApiModelProperty(value = "是否报警(0不报警1报警)")
    @TableField(exist = false)
    private Integer isAlarm;
}
