package com.zcxk.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "场景属性汇总值")
public class SceneUsageDto {
    @ApiModelProperty("今日供水量or今日出水量")
    private Double yieldWaterUsage;
    @ApiModelProperty("今日取水量or今日进水量")
    private Double intakeWaterUsage;
    @ApiModelProperty("今日耗电量")
    private Double powerUsage;
    @ApiModelProperty("今日耗药量")
    private Double drugUsage;
    @ApiModelProperty("采集时间")
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm" , timezone = "GMT+8")
    private Date collectDate;
}
