package com.zcxk.dto.alarm;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 数据报警查询字段
 * @author lihui
 * @version V1.0
 * @date 2021/5/31
 **/
@Data
@Api("数据报警管理保存字段")
public class DataAlarmManageDto extends DataAlarmSettingDto implements Serializable {

    @ApiModelProperty(value = "报警ID")
    private Long alarmId;

    @ApiModelProperty(value = "名称")
    @NotNull
    private String alarmName;

}
