package com.zcxk.dto.homePage;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description 公司（场景）个数统计
 * @auto wangli
 * @data 2021/2/24 16:01
 */
@Data
@Api("公司（场景）个数统计")
public class CompanyCount {

    @ApiModelProperty("公司数量")
    private Integer company;
    @ApiModelProperty("水源数量")
    private Integer waterSource;
    @ApiModelProperty("泵站数量")
    private Integer pumpingStation;
    @ApiModelProperty("管网数量")
    private Integer pipeNetwork;
    @ApiModelProperty("水厂数量")
    private Integer waterFactory;
    @ApiModelProperty("水表数量")
    private Integer waterMeter;
}
