package com.zcxk.dto;

import com.zcxk.entity.TenantEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description 租户信息
 * @auto wangli
 * @data 2020-10-31 18:08
 */
@Data
@Api(value = "租户信息")
public class TenantDto extends TenantEntity {

    @ApiModelProperty("用户id")
    private Long userId;
    @ApiModelProperty("租户类型展示值")
    private String tenantTypeValue;
    @ApiModelProperty("管理员姓名")
    private String userName;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("租户菜单id")
    private List<Integer> tenantMenuIds;

}
