package com.zcxk.charge.api.dto;

import com.zcxk.charge.api.vo.DeviceEntityVo;
import com.zcxk.charge.api.vo.SceneEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description 公司————场景信息
 * @author  wangli
 * @data 2021/3/19 14:28
 */
@Data
public class CompanySceneInfoDto implements Serializable {

    @ApiModelProperty("公司信息")
    private List<OrgBaseTreeInfoDto> orgBaseTreeInfoDtos;

    @ApiModelProperty("第一个公司的场景信息")
    private List<SceneEntityVo> sceneEntities;

    @ApiModelProperty("第一个公司的设备信息")
    private List<DeviceEntityVo> deviceEntities;

    public CompanySceneInfoDto(){}

    public CompanySceneInfoDto(List<OrgBaseTreeInfoDto> orgBaseTreeInfoDtos, List<SceneEntityVo> sceneEntities, List<DeviceEntityVo> deviceEntities){
        this.orgBaseTreeInfoDtos =orgBaseTreeInfoDtos;
        this.sceneEntities =sceneEntities;
        this.deviceEntities =deviceEntities;
    }
}
