package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description
 * @author  wangli
 * @data 2021/1/6 14:44
 */
@Api("供水曲线图")
@Data
public class WaterSupplyDataVo implements Serializable {

    private static final long serialVersionUID = -5428501698788455002L;

    private Integer year;
    private Integer month;
    private Integer day;
    private Integer parmType;
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal amount;
    private String unit;

}