package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.DeviceAttributeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_attributeDAO接口
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Mapper
public interface DeviceAttributeMapper extends BaseMapper<DeviceAttributeEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 17:59 2021/8/17
	* @param page:
	* @param deviceAttributeEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.DeviceAttributeEntity>
	**/
     Page<DeviceAttributeEntity> findPage(IPage<DeviceAttributeEntity> page, @Param("deviceAttribute") DeviceAttributeEntity deviceAttributeEntity);

     /**
     * findDeviceAttributeById
     * @author Andy
     * @date 17:59 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceAttributeEntity
     **/
     DeviceAttributeEntity findDeviceAttributeById(Serializable id);

     /**
     * findList
     * @author Andy
     * @date 17:59 2021/8/17
     * @param deviceAttributeEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceAttributeEntity>
     **/
     List<DeviceAttributeEntity> findList(DeviceAttributeEntity deviceAttributeEntity);
}
