package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.ParmSettingEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_parm_settingDAO接口
 * @author: WYY
 * @date 2021-05-11 10:30
 */
@Mapper
public interface ParmSettingMapper extends BaseMapper<ParmSettingEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:12 2021/8/17
	* @param page:
	* @param parmSettingEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.ParmSettingEntity>
	**/
     Page<ParmSettingEntity> findPage(IPage<ParmSettingEntity> page,
                                      @Param("parmSetting") ParmSettingEntity parmSettingEntity);

     /**
     * 查询单个
     * @author Andy
     * @date 18:12 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.ParmSettingEntity
     **/
     ParmSettingEntity findParmSettingById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 18:12 2021/8/17
     * @param parmSettingEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.ParmSettingEntity>
     **/
     List<ParmSettingEntity> findList(ParmSettingEntity parmSettingEntity);
}
