package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.charge.core.entity.SceneImageEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_scene_imageDAO接口
 * @author: WYY
 * @date 2020-11-17 22:38
 */
@Mapper
public interface SceneImageMapper extends BaseMapper<SceneImageEntity> {

     /**
     * findSceneImageById
     * @author Andy
     * @date 9:21 2021/8/18
     * @param id:
     * @return com.zcxk.charge.core.entity.SceneImageEntity
     **/
     SceneImageEntity findSceneImageById(Serializable id);

     /**
     * 查找集合
     * @author Andy
     * @date 9:21 2021/8/18
     * @param sceneImageEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.SceneImageEntity>
     **/
     List<SceneImageEntity> findList(SceneImageEntity sceneImageEntity);

     /**
     * 更新数据
     * @author Andy
     * @date 9:21 2021/8/18
     * @param id:
     * @return int
     **/
     int updateBySceneId(@Param("id") Long id);
}
