package com.zcxk.charge.web.service;


import com.zcxk.charge.api.dto.ReportStatisticalDimensionDto;
import com.zcxk.charge.core.entity.ReportDimensionSettingEntity;

import java.util.List;

/**
 * @author  andy
 */
public interface ReportDimensionSettingService {

    /**
    * 查询集合
    * @author Andy
    * @date 18:13 2021/8/17
    * @param userId:
    * @return java.util.List<com.zcxk.charge.core.entity.ReportDimensionSettingEntity>
    **/
    List<ReportDimensionSettingEntity> findDimensionSetting(Integer userId);

    /**
    * 查询集合
    * @author Andy
    * @date 18:13 2021/8/17
    * @param userId:
    * @return java.util.List<com.zcxk.charge.core.entity.ReportDimensionSettingEntity>
    **/
    List<ReportDimensionSettingEntity> findHistoryDataDimensionSetting(Integer userId);

    /**
    * 批量修改统计维度信息
    * @author Andy
    * @date 18:13 2021/8/17
    * @param statisticalDimensionDtos:
    * @return void
    **/
    void batchUpdateStatisticalDimension(List<ReportStatisticalDimensionDto> statisticalDimensionDtos);
}
