package com.zcxk.core.common.constant;

/**
 * @author Andy
 * @description: FileFormatConstants
 * @date 2021/7/16
 * @version V1.0
 **/
public interface FileFormatConstants {

    /**
     * 文本格式
     */
    String FILE_TXT_SUFFIX = "txt";
    /**
     * ppt格式
     */
    String FILE_PPT_SUFFIX = "ppt";

    String FILE_PPTX_SUFFIX = "pptx";
    /**
     * Excel格式
     */
    String FILE_XLS_SUFFIX = "xls";
    String FILE_XLSL_SUFFIX = "xlsl";
    /**
     * word格式
     */
    String FILE_DOC_SUFFIX = "doc";
    String FILE_DOCX_SUFFIX = "docx";

    /**
     * Pdf 格式
     **/
    String FILE_PDF_SUFFIX = "pdf";

    /**
     * jpg 格式
     **/
    String FILE_JPG_SUFFIX = "jpg";

    /**
     * png 格式
     **/
    String FILE_PNG_SUFFIX = "png";

    /**
     * svg 格式
     **/
    String FILE_SVG_SUFFIX = "svg";

    /**
     * mp4 格式
     **/
    String FILE_MP4_SUFFIX = "mp4";


}
