package com.zcxk.rmcp.api.dto.install;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author linqingwei
 * @date 2021-07-27 15:32
 */
@Data
public class InstallInputDto {
    @NotNull(message = "id cannot be null")
    @ApiModelProperty(value="编号")
    private Integer id;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @NotBlank(message = "meterNo cannot be blank")
    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="档案号")
    private String fileNo;

    @ApiModelProperty(value="铅封号")
    private String sealNo;

    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="身份证号")
    private String idCard;

    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    @ApiModelProperty(value="旧表照片")
    private String oldImageUrl;
}
