package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备统计
 * @date 2021/7/21
 **/
@Data
public class DeviceStatusVo {

    @ApiModelProperty(value="设备分类名字")
    private String name;

    @ApiModelProperty(value="状态集合")
    private List<StatusStatisticsVo> statistics;

}
