package com.zcxk.rmcp.core.entity;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 设备告警类型(AlarmType)实体类
 *
 * @author hym
 * @since 2021-07-30 11:28:50
 */
@Data
@ApiModel
public class AlarmType implements Serializable {
    private static final long serialVersionUID = -27168393864976552L;
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 产品类型
     */
    @ApiModelProperty(value = "产品类型")
    private Integer productCategroyId;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer deviceTypeId;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * status
     */
    @ApiModelProperty(value = "status")
    private Integer status;
    /**
     * createDate
     */
    @ApiModelProperty(value = "createDate")
    private Date createDate;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateDate
     */
    @ApiModelProperty(value = "updateDate")
    private Date updateDate;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String typeDesc;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String tenantId;
    /**
     * 1启用 0禁用
     */
    @ApiModelProperty(value = "1启用 0禁用")
    private Integer alarmStatus;
}
