package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 9:45
 */
@ApiModel(value="com-zcxk-rmcp-core-entity-InstallPlanData")
@Data
public class InstallPlanData {
    @ApiModelProperty(value="")
    private Long id;

    /**
    * 父类id
    */
    @ApiModelProperty(value="父类id")
    private Long parentId;

    /**
    * 安装计划id
    */
    @ApiModelProperty(value="安装计划id")
    private Integer installPlanId;

    /**
    * 类型 1:楼栋 2:单元  3:楼层
    */
    @ApiModelProperty(value="类型 1:楼栋 2:单元  3:楼层")
    private Integer type;

    /**
    * 名称
    */
    @ApiModelProperty(value="名称")
    private String name;

    /**
    * 状态
    */
    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="")
    private String createBy;

    @ApiModelProperty(value="")
    private LocalDateTime createDate;

    @ApiModelProperty(value="")
    private String updateBy;

    @ApiModelProperty(value="")
    private LocalDateTime updateDate;
}