package com.zcxk.rmcp.core.entity;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (MeasurementRecord)实体类
 *
 * @author hym
 * @since 2021-07-28 16:57:40
 */
@Data
@ApiModel
public class MeasurementRecord implements Serializable {
    private static final long serialVersionUID = -21816616059552313L;
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 水表电子号
     */
    @ApiModelProperty(value = "水表电子号")
    private String meterNo;
    /**
     * 水表档案号
     */
    @ApiModelProperty(value = "水表档案号")
    private String fileMeterNo;
    /**
     * 审核状态 0：未审核，1已审核
     */
    @ApiModelProperty(value = "审核状态 0：未审核，1已审核")
    private String approvalStatus;
    /**
     * 上期读数
     */
    @ApiModelProperty(value = "上期读数")
    private String lastReading;
    /**
     * 本期读数
     */
    @ApiModelProperty(value = "本期读数")
    private String currentReading;
    /**
     * 位置
     */
    @ApiModelProperty(value = "位置")
    private String location;
    /**
     * 计划id
     */
    @ApiModelProperty(value = "计划id")
    private Integer planId;
    /**
     * 用水量
     */
    @ApiModelProperty(value = "用水量")
    private Double waterConsumption;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer status;
    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private Long deviceId;
    /**
     * 上期读数
     */
    @ApiModelProperty(value = "上期读数")
    private Date lastPeriodDate;
    /**
     * 本期读数
     */
    @ApiModelProperty(value = "本期读数")
    private Date currentPeriodDate;
}
