package com.zcxk.rmcp.core.entity;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (MeasurementSettlement)实体类
 *
 * @author hym
 * @since 2021-07-29 15:49:08
 */
@Data
@ApiModel
public class MeasurementSettlement implements Serializable {
    private static final long serialVersionUID = 358803126975257048L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Integer id;
    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String planName;
    /**
     * 结算时间
     */
    @ApiModelProperty(value = "结算时间")
    private Date settlementTime;
    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id")
    private Integer companyOrgId;
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Integer deptOrgId;
    /**
     * 小区id
     */
    @ApiModelProperty(value = "小区id")
    private Integer communityId;
    /**
     * 结算周期
     */
    @ApiModelProperty(value = "结算周期")
    private Integer billingCycle;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 定时任务id
     */
    @ApiModelProperty(value = "定时任务id")
    private Long taskId;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String tenantId;
    /**
     * 水表数目
     */
    @ApiModelProperty(value = "水表数目")
    private Integer totalWaterMeters;
}
